{ pkgs, lib, ... }:

{
  system.stateVersion = "24.11";

  # No need to change users at runtime
  users.mutableUsers = false;

  # I DON'T WANT IT
  # STOP TRYING TO GIVE IT TO ME
  boot.supportedFilesystems.zfs = lib.mkForce false;

  boot.tmp.cleanOnBoot = true;

  # Set root password to a secure password
  users.users.root.password = "asecurepassword";

  # Add wifi credentials
  networking.wireless = {
    enable = true;
    networks."PAL3.0".auth = ''
      eap=PEAP
      key_mgmt=WPA-EAP
      pairwise=CCMP
      auth_alg=OPEN
      proto=RSN
      identity="USERNAME@purdue.edu"
      password="PASSWORD"
      phase1="peaplabel=0"
      phase2="auth=MSCHAPV2"
    '';
  };

  networking.hostName = "kiosk";
  time.timeZone = "America/New_York";

  environment.systemPackages = with pkgs; [
    vim
    git
  ];
  environment.defaultPackages = lib.mkForce [ ];

  documentation = {
    enable = false;
    nixos.enable = false;
    man.enable = false;
    info.enable = false;
    doc.enable = false;
    dev.enable = false;
  };

  nix.settings = {
    substituters = [ "https://hydra.inx.moe?priority=10" ];
    trusted-public-keys = [ "infinidoge-1:uw2A6JHHdGJ9GPk0NEDnrdfVkPp0CUY3zIvwVgNlrSk=" ];
  };
}
